Bug 12477 - неполная упаковка kernel-source-truecrypt
: неполная упаковка kernel-source-truecrypt
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/truecrypt)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-08-06 04:01 by
Modified: 2008-03-27 03:26 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-08-06 04:01:10
При упаковке kernel-source-truecrypt, теряется необходимый для сборки
Common/Password.h

Мне помог вот такой грязный хак на SPEC-файл:
-- truecrypt-4.3a-alt1.spec.orig       2007-05-17 05:13:26 +0400
+++ truecrypt-4.3a-alt1.spec    2007-08-06 03:59:29 +0400
@@ -61,7 +61,7 @@
     install -m 0644 ${f%%o}c kernel-source-%name-%version/${f%%o}c
 done
 for f in {Crypto,Common}/*.h; do
-    [ -f ${f%%h}o -o ! -f ${f%%h}c ] && install -m 0644 $f
kernel-source-%name-%version/$f
+    [ -f ${f%%h}o -o ! -f ${f%%h}c -o "${f%%.h}" == "Common/Password" ] &&
install -m 0644 $f kernel-source-%name-%version/$f
 done
 tar -c kernel-source-%name-%version | bzip2 --best --stdout > \
     %buildroot%_usrsrc/kernel/sources/kernel-source-%name-%version.tar.bz2
------- Comment #1 From 2007-08-07 01:13:59 -------
fixed in truecrypt-4.3a-alt2